# virt.global.update

Update global virtualization settings.

pool which pool to use to store instances. None will disable the service.

bridge which bridge interface to use by default. None means it will automatically create one.

This method is a job.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: virt_global_update

#### virt_global_update

Type: object

VirtGlobalUpdateArgs parameters.

No Additional Properties

##

#### Pool

Default storage pool when creating new instances and volumes.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Bridge

Network bridge interface for virtualized instance networking. `null` to disable.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Storage Pools

ZFS pools to use as storage pools.

## Any of

Type: array of string
No Additional Items

##### Each item of this array must be:

Type: string
Type: null

##

#### V4 Network

IPv4 network CIDR for the virtualization bridge network. `null` to use default.

## Any of

Type: string
Type: null

##

#### V6 Network

IPv6 network CIDR for the virtualization bridge network. `null` to use default.

## Any of

Type: string
Type: null

##

#### VirtGlobalEntry

Type: object

The updated virtualization global configuration.

No Additional Properties

##

#### Id

Type: integer

Unique identifier for the virtualization global configuration.

##

#### Pool

Default: null

Default storage pool when creating new instances and volumes.

## Any of

Type: string
Type: null

##

#### Dataset

Default: null

ZFS dataset path used for virtualization data storage. `null` if not configured.

## Any of

Type: string
Type: null

##

#### Storage Pools

Default: null

ZFS pools to use as storage pools.

## Any of

Type: array of string
No Additional Items

##### Each item of this array must be:

Type: string
Type: null

##

#### Bridge

Default: null

Network bridge interface for virtualized instance networking. `null` if not configured.

## Any of

Type: string
Type: null

##

#### V4 Network

Default: null

IPv4 network CIDR for the virtualization bridge network. `null` if not configured.

## Any of

Type: string
Type: null

##

#### V6 Network

Default: null

IPv6 network CIDR for the virtualization bridge network. `null` if not configured.

## Any of

Type: string
Type: null

##

#### State

Default: null

Current operational state of the virtualization subsystem. `null` during initial setup.

## Any of

Type: enum (of string)

##### Must be one of:

- "INITIALIZING"
- "INITIALIZED"
- "NO_POOL"
- "ERROR"
- "LOCKED"

Type: null

Required roles: VIRT_GLOBAL_WRITE